Subject: Re: [urn] URN:DOI namespace registration request

From: [email-masked]
Date: Thu, 14 Jan 2021 18:41:09 +0100

Dear Juha,

My apologies for not acting on this earlier.

I have some issues with the current registration template.

Relation to doi URI scheme

As Julian already noted, the document lacks information on how the urn:doi namespace relates to the doi URI scheme. This is particularly imporant since the registration claims that "no scheme registration for DOI has yet been made by the DOI Foundation". This is clearly an error, since the IANA registry of URI schemes includes "doi:" (even if it's only a provisional registration) [1].

Lexical Equivalence

The part on urn comparison lacks information on how to compare percent-encoded characters, e. g. if %7f and %7F are considered equivalent. If they should be -- which I think is correct -- this can easliy be solved by a statement at the beginning of the section stating that "in addition to the equivalence rules defined in RFC 8141 the following rules for lexical equivalence apply:". I also think that you should future-proof this section with regard to the doi:... syntax: Since there are obviously plans to register doi: as a fully-fashioned URI scheme, you must ensure that the URI doi: syntax remains compatible with the urn:doi namespace when it comes to lexical equivalence.

Character Set

In the section on character set, you write that

[[

URI percent encoding (see RFC 3986, section 2.1) is required for characters in a DOI that are:

(a) outside the ASCII printable character set, or

(b) reserved in the URI syntax (see RFC 3986, section 2.2).

The same rule is applied in creating a URN.

]]

RFC 3986 does not speak of printable ASCII characters but uses the term "unreserved characters" [2]. In order to ensure that the doi:urn rules for percent-encoding are equivalent to those of URIs in general, I would suggest to phrase (a) as "characters that are not URI unreserved characters (see RFC 3986, section 2.3), or"

Syntax

The syntax section says that the doi NSS contains of prefix, slash and suffix, where the prefix consists of directory indicator, full stop and registrant  code. It the goes on to say that there are plans to remove the requirement that the directory indicator be "10" and to allow DOIs without a registrant code. I cannot see how this is compatible with the specified syntax and think it would be helpful if you provided an example for this.

DOI Assignment

The document says that the DOI Registration Agencies manage the registration process. It is, however, silent on how it is ensured that DOIs are not duplicated (i. e. only one referent for each DOI). The linked DOI handbook says in §2.3.5 that "Each DOI name shall specify one and only one referent in the DOI system. While a referent can be specified by more than one DOI name, it is recommended that each referent has only one DOI name." It does not say how this is achieved, so some text clarifying this or a link to external documentation would be helpful.

Resolving

In the introduction the use of the R-component is mentioned, but there is no information on that in the section on resolving.

[1] https://www.iana.org/assignments/uri-schemes/prov/doi

[2] https://tools.ietf.org/html/rfc3986#section-2.3

[3] https://www.doi.org/doi_handbook/2_Numbering.html#2.3.5

Best,

Lars

Gesendet: Freitag, 02. Oktober 2020 um 06:26 Uhr

Von: "Hakala, Juha E" <[email-masked]>

An: "[email-masked]" <[email-masked]>

Cc: "Larry Lannom" <[email-masked]>, "John C Klensin" <[email-masked]>, "Paul Jessop" <[email-masked]>, "Jonathan Clark" <[email-masked]>

Betreff: [urn] URN:DOI namespace registration request

Hello all,

please find attached a URN namespace registration request for DOI, Digital Object Identifier. I have assisted Paul Jessop in writing the request and therefore shall exempt myself from evaluating the request. Any questions should be sent to Paul and Jonathan Clark.

Handle.Net resolver (http://www.handle.net/download_hnr.html) already supports URN representation of DOIs (https://doi.org/urn:doi:<doi>) so every DOI is actionable also as URN. The resolver does not support URN R- or Q-components, but such functionality may be added to a future version.

Handles may be presented and resolved as URNs as well, with the NID HANDLE. I do not know if DONA Foundation (https://www.dona.net/) intends to request a URN namespace for Handles. However, NID “HANDLE” should not be granted to some other community.

All the best,

Juha

PS. The National Library of Finland has rebuilt its URN resolver. Following a beta test last summer, we are currently in the process of taking the new resolver into production. As far as I know, it is the first one supporting R component. The first service implemented was linking of a single URN to multiple URLs.

Once the resolver is “battle proven” and there is basic documentation available in English, the resolver will be made freely available in GitHub.

Juha Hakala

Senior advisor

Library Network Services, The National Library of Finland

P.O.Box 15 (Yliopistonkatu 1), 00014 Helsingin yliopisto

email [email-masked]

_______________________________________________ urn mailing list [email-masked] https://www.ietf.org/mailman/listinfo/urn

---

From: "Hakala, Juha E" <[email-masked]>
Date: Fri, 15 Jan 2021 07:30:58 +0000

Dear Lars,

thank you for this feedback! Some comments inline below.

Lähettäjä: [email-masked] <[email-masked]>
Lähetetty: torstai 14. tammikuuta 2021 19.41
Vastaanottaja: Hakala, Juha E <[email-masked]>
Kopio: [email-masked]
Aihe: Aw: [urn] URN:DOI namespace registration request

Dear Juha,

Actually, the claim in the URN:DOI namespace registration is correct. Paul Jessop told me that:

“The registration of a provisional scheme for DOI was made without the knowledge or consent of the DOI Foundation and we found out about it only once it had been done. We are not currently supporting it and remain sceptical that the ambitions of the group that has done this will result (as they hope) in the identifiers they have selected becoming resolvable in browsers.

It seems that the provisional registration with our name on it has the effect of blocking anyone else using the string "doi" as a URI scheme for a different purpose and it will not go forward without our consent - so it is not in general harmful at the moment. We are tracking progress in case this group is able to do now what many failed to deliver in the past: create a table of schemes and action rules for use in browsers and get the competing applications to use it. This would not be a stupid thing to do as it would (for instance) have allowed the migration from dx.doi.org to doi.org to happen by pushing a revised rule to browsers rather than changing the presentation rules in every DOI system handbook.

But the focus of The DOI Foundation is on the registration of a URN namespace to allow DOI to be recognised as a technology independent identifier alongside NBN and the other namespaces that are used operationally.”

Since the International DOI Foundation has had nothing to do with the provisional registration of the DOI URI scheme, I am not sure how it should be taken into account in the URN namespace registration. We could, for instance, add a note acknowledging the existence of provisional DOI URI scheme registration, but pointing out that the registration was made without the knowledge or consent of the International DOI Foundation and that the foundation has currently no plans to support it.

As an aside: I do not know if people who register URI schemes should have a mandate for what they are doing. The company behind the DOI URI scheme registration, Igalia, is a Spanish IT consultancy. I assume there is no malicious intent, but as far as I can tell, Igalia has never been involved with DOI standardization or any other identifier related standardization work in ISO TC 46 or in IETF URNbis WG. When a URI scheme is registered for an international standard such as DOI, IANA should perhaps check that that the organization responsible of the standard is aware of the registration and endorses it, especially if this organization is mentioned in the request.

Lexical Equivalence

I am fine with clarifying the equivalence of percent-encoded characters. But given the shaky status of the doi URI scheme registration, I would not say anything about doi: syntax yet.

Character Set

[[

OK.

Syntax

I’ll discuss with Paul Jessop about this. There are at least two options: remove the reference to alternative syntax which may be established in the next edition of the DOI standard, or explain the new option more clearly, with an example.

DOI Assignment

OK.

Resolving

As far as I know, the DOI community has not discussed yet how the R-component may be used in the future. I’ll see if some information can nevertheless be provided.

All the best,

Juha

Best,

Lars
Gesendet: Freitag, 02. Oktober 2020 um 06:26 Uhr
Von: "Hakala, Juha E" <[email-masked]<mailto:[email-masked]>>
An: "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Cc: "Larry Lannom" <[email-masked]<mailto:[email-masked]>>, "John C Klensin" <[email-masked]<mailto:[email-masked]>>, "Paul Jessop" <[email-masked]<mailto:[email-masked]>>, "Jonathan Clark" <[email-masked]<mailto:[email-masked]>>
Betreff: [urn] URN:DOI namespace registration request
Hello all,

Handle.Net resolver (http://www.handle.net/download_hnr.html) already supports URN representation of DOIs (https://doi.org/urn:doi:<doi<https://doi.org/urn:doi:%3cdoi>>) so every DOI is actionable also as URN. The resolver does not support URN R- or Q-components, but such functionality may be added to a future version.

All the best,

Juha

Juha Hakala
Senior advisor
Library Network Services, The National Library of Finland
P.O.Box 15 (Yliopistonkatu 1), 00014 Helsingin yliopisto
email [email-masked]<mailto:[email-masked]>

_______________________________________________ urn mailing list [email-masked]<mailto:[email-masked]> https://www.ietf.org/mailman/listinfo/urn

---

From: Paul Jessop <[email-masked]>
Date: Fri, 15 Jan 2021 11:24:39 +0000

Thanks all for these helpful and thoughtful comments. I will study and get back to you shortly.

Best regards,

Paul Jessop
Technology Advisor, The DOI Foundation

Paul Jessop              county analytics ltd  
---------------------------------------------  
rights - technology - markets - music - media  
---------------------------------------------  
[email-masked]<mailto:[email-masked]>      +44 7850 685378

From: "Hakala, Juha E" <[email-masked]>
Date: Friday, 15 January 2021 at 07:31
To: "[email-masked]" <[email-masked]>
Cc: "[email-masked]" <[email-masked]>, Paul Jessop <[email-masked]>, Jonathan Clark <[email-masked]>
Subject: VS: [urn] URN:DOI namespace registration request

Dear Lars,

Dear Juha,

Lexical Equivalence

Character Set

[[

OK.

Syntax

DOI Assignment

OK.

Resolving

All the best,

Juha

Best,

Lars

All the best,

Juha

Juha Hakala
Senior advisor

---

From: [email-masked] (Dale R. Worley)
Date: Mon, 18 Jan 2021 12:11:49 -0500

My apologies for not attending to this sooner.

I'm afraid I object to this registration as a matter of principle,
rather than a matter of details.  The inclusion of the DOI space as part
of the URI space should be done through the implementation of the doi
URI scheme -- as has already been proposed -- and the details of that
should be fixed by the DOI Handbook.

Looking at the benefits listed in the proposed registration, they are as
easily obtained by use of doi URIs as they are by doi URNs.

Given the provisional registration of the doi scheme, it appears that
the DOI Foundation intends to establish the details of the scheme.  It
would be unwise for us to establish an entirely parallel defintion as a
namespace, where for sanity's sake, the two definitions would have to be
maintained in exact alignment.

Dale

---

From: Paul Jessop <[email-masked]>
Date: Mon, 18 Jan 2021 17:46:36 +0000

Hi Dale,

It is frustrating that someone else's provisional URI registration continues to create confusion. This registration was made without the knowledge of the DOI Foundation and our first reaction was that it was a form of "identifier piracy" - leading to an initial robust request to cease their actions. It seems from what I can see that the players behind it are acting in good faith but with ambitious (over-ambitious?) expectations that they will achieve in-browser resolution of a large range of URI schemes.

I haven’t pressed them to withdraw their registration because the status quo (where they at least had the courtesy put our name on the registration) serves to prevent someone with less scruples from "grabbing" the scheme name and causing even more confusion.

To be clear, the intent of The DOI Foundation is to address the technical issues that have been raised here (which are confident we can do) and continue the URN namespace request. We do not intend to turn the URI reservation into an application. If necessary we can be "robust" again with the parties who made the reservation but I didn’t see a clean way to turn it into "please regard the URI scheme name 'doi' as exceptionally reserved (to use a country code term) although there is no intent to register it as a scheme for ISO 26324 DOIs". If there are experts here who can advise on language for that, we would be very glad to receive guidance.

The preference in our strategy for securing the URN namespace registration comes from some of our user communities who are extremely comfortable with URN - because of experience with NBN and EIDR URN codes.

I hope that addresses your concerns - and trust you can have another look at this. If there is any other information or background I can provide, please let me know.

With best regards,

Paul Jessop
Technology Adviser, The DOI Foundation

Paul Jessop              county analytics ltd 
--------------------------------------------- 
rights - technology - markets - music - media 
--------------------------------------------- 
[email-masked]      +44 7850 685378

On 18/01/2021, 17:12, "Dale R. Worley" <[email-masked]> wrote:

    Dale

---

From: Martin J. Dürst <[email-masked]>
Date: Tue, 19 Jan 2021 08:16:48 +0900

Hello Paul, Dale, others,

> It is frustrating that someone else's provisional URI registration continues to create confusion. This registration was made without the knowledge of the DOI Foundation and our first reaction was t…

The provisional registration was done because identifiers of the form 
doi:... were found in the wild and in order to avoid these three letters 
from being used for something else (as mentioned below).

What I think is important is to do some research on how DOIs are 
currently used in the wild. In a very quick search, I found the 
following two at least:
   IETF RFCs: DOI 10.17487/RFC3986
   ACM Digital Library: DOI:https://doi.org/10.1145/2594291.2594299

I'm very sure I have seen DOIs in URI form (i.e. doi:...), too.

> I haven’t pressed them to withdraw their registration because the status quo (where they at least had the courtesy put our name on the registration) serves to prevent someone with less scruples fro…

The provisional registration should definitely not be withdrawn. If/when 
there is a better alternative *that works widely*, then it may be a good 
idea to update the registration with a pointer to that alternative.

> The preference in our strategy for securing the URN namespace registration comes from some of our user communities who are extremely comfortable with URN - because of experience with NBN and EIDR U…

I think such experience is valuable, but you should also consider wider 
experience and what's out there in the wild in terms of identifiers already.

> I hope that addresses your concerns - and trust you can have another look at this. If there is any other information or background I can provide, please let me know.

I definitely think that it is a bad idea to reject an URN namespace 
request just because there is a provisional registration for an URI. 
It's not clear which one of these approaches will work better 
technically. And 'technically' here actually means in terms of 
deployment, because the are no fundamental technical issues. It would be 
a bad idea for the IETF and the registries to try and make a decision to 
favor one or the other, in particular if such a decision is based on a 
provisional registration done by a third party out of good faith just to 
avoid potential collisions.

Regards,   Martin.

> _______________________________________________
> urn mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/urn
> 

-- 
Prof. Dr.sc. Martin J. Dürst
Department of Intelligent Information Technology
College of Science and Engineering
Aoyama Gakuin University
Fuchinobe 5-1-10, Chuo-ku, Sagamihara
252-5258 Japan

---

From: "Henry S. Thompson" <[email-masked]>
Date: Tue, 19 Jan 2021 10:40:10 +0000

Martin J. Dürst writes:

> ...

Here's another relevant study:

  https://doi.org/10.1145/3184558.3191636

> I'm very sure I have seen DOIs in URI form (i.e. doi:...), too.

Indeed.  There are some numbers bearing this out in the above study,
showing hundreds of thousands of uses of doi: URIs in HTML pages taken
from Common Crawl, almost entirely in HTML <head> metadata.

ht
-- 
       Henry S. Thompson, School of Informatics, University of Edinburgh
      10 Crichton Street, Edinburgh EH8 9AB, SCOTLAND -- (44) 131 650-4440
                Fax: (44) 131 650-4587, e-mail: [email-masked]
                       URL: http://www.ltg.ed.ac.uk/~ht/
 [mail from me _always_ has a .sig like this -- mail without it is forged spam]

The University of Edinburgh is a charitable body, registered in
Scotland, with registration number SC005336.

---

From: Paul Jessop <[email-masked]>
Date: Tue, 19 Jan 2021 11:29:31 +0000

Hi,

Let me give some context:

1. The canonical form of a DOI name as defined in ISO 26324 is the string starting "10dot".

2. The ISO standard says that when " displayed on screen or in print" is should be preceded by "doi:" as a label (rather than as a scheme name). Most of the family of ISO identifiers have similar text in their standards which defines separately the identifier string (to be used in machine to machine activity) and the way to present that string for human consumption. Most use a space as a delimiter and why DOI uses a colon I do not know. The standard notes that the format complies with RFC 3986 but does not claim that the resulting string is a URI - just I suppose that it could become one as we have discovered from the provisional registration.

The DOI Handbook (that I inherited) says the same thing, noting in passing that a browser might in future be able to resolve the doi: form. Of course this has never happened.

3. The ISO standard also notes that the DOI name can be made actionable by prepending the web address of a proxy.
 
4. There was a perceived need for a URI representation of a DOI name and a DOI registration was made in the "info" URI scheme. However this project did not achieve much traction and is now closed to new registrations (though existing instances remain valid).

5. Most of the applications using DOIs recommend the web address approach. For example Crossref says (https://www.crossref.org/education/metadata/persistent-identifiers/doi-display-guidelines/) 

> ... always be displayed as a full URL link in the form https://doi.org/10.xxxx/xxxxx 

So the “doi:” form is a normative format in the ISO standard but it isn’t formally a URI – it just shares the syntax.

There is a limited revision of the DOI standard under way but it won’t address this issue – though it will collate additional requirements. and resolving any ambiguity resulting from the above is on my list for subsequent work - so we can clarify that when Crossref (and others) recommends the HTTP URI form, they are formally compliant. 

I’m hoping we can then also add the urn:doi:10.xxxx/xxxxx format at the same time as a further normative format.

Thanks as ever to all for giving this attention.

Best regards,

Paul Jessop

 

On 19/01/2021, 10:40, "Henry S. Thompson" <[email-masked]> wrote:

    ht

---

From: "Hakala, Juha E" <[email-masked]>
Date: Wed, 20 Jan 2021 06:14:27 +0000

Hello, 

DOI standard (ISO 26324:2012) says that: 

"When displayed on screen or in print, a DOI name shall be preceded by a lowercase “doi:” unless the context clearly indicates that a DOI name is implied. The "doi:” label is not part of the DOI name value.

When displayed in web browsers, the DOI name can be attached to the address for an appropriate proxy server, to enable resolution of the DOI name via a standard web hyperlink. To resolve a DOI via a standard web hyperlink, the DOI name itself should be appended to the address for the proxy server.

EXAMPLE
The DOI name 10.1006/jmbi.1998.2354 would be made an actionable link as http://dx.doi.org/10.1006/jmbi.1998.2354.

NOTE: Certain client or server software might be able to process DOIs using native resolution technology (i.e. doi:10.1006/jmbi.1998.2354 would be interpreted by the browser and automatically resolved without the addition of the proxy server address)."

-----------------------

Martin's examples below (from IETF RFCs and ACM Digital Library) are not compliant with ISO 26324, and therefore IMO not that relevant in the context of registering a URN namespace for DOI. It will be easy to find additional non-standard ways of presenting DOIs in the wild, but adding even more incorrect examples of DOI usage out there would just make it more difficult to make any sensible recommendations on how to proceed.   

Since ISO 26324 was published 9 years ago, it has become clear that there is no widespread client software to support resolution of DOIs presented with doi: prefix. Therefore the current recommendation of the DOI handbook and the DOI user community is to express DOIs as HTTP URIs with the (new) resolver proxy address. For instance: 

https://doi.org/10.1006/jmbi.1998.2354  

or 

https://doi.org/10.17487/RFC3986

As an aside, DOI-based HTTP URIs should be used as links to RFCs instead of their URLs. If DOI is expressed as a hyperlink there is no need to provide also a URL. Moreover, each RFC has more than one URL but just one DOI. 

HTTP URI -based DOI presentation will replace the old doi: presentation in next editions of ISO 26324 and ISO 690 (ISO standard for bibliographic citations; new edition to be published 2021). DOI community may also use URN syntax, since every DOI can already be presented also as a URN. URNs https://doi.org/urn:doi:10.1006/jmbi.1998.2354 and https://doi.org/urn:doi:10.17487/RFC3986 are actional and resolve just like the DOIs above.  

Presenting DOI as URN does bring some technical benefits. ISO 26324 does not allow usage of URI fragment or query. But if DOIs are presented as URNs (and only then), it is possible to add F-, Q- and R-components to DOI namespace specific strings (pending support for URN Q- and R-components in Handle.Net resolver, used by both DOI and Handle systems). 

Best regards, 

Juha

-----Alkuperäinen viesti-----
Lähettäjä: Martin J. Dürst <[email-masked]> 
Lähetetty: tiistai 19. tammikuuta 2021 1.17
Vastaanottaja: Paul Jessop <[email-masked]>; Dale R. Worley <[email-masked]>; Hakala, Juha E <[email-masked]>
Kopio: [email-masked]; [email-masked]; [email-masked]; [email-masked]
Aihe: Re: [urn] URN:DOI namespace registration request

> It is frustrating that someone else's provisional URI registration continues to create confusion. This registration was made without the knowledge of the DOI Foundation and our first reaction was t…

The provisional registration was done because identifiers of the form doi:... were found in the wild and in order to avoid these three letters from being used for something else (as mentioned below).

What I think is important is to do some research on how DOIs are currently used in the wild. In a very quick search, I found the following two at least:
   IETF RFCs: DOI 10.17487/RFC3986
   ACM Digital Library: DOI:https://doi.org/10.1145/2594291.2594299

> I haven’t pressed them to withdraw their registration because the status quo (where they at least had the courtesy put our name on the registration) serves to prevent someone with less scruples fro…

The provisional registration should definitely not be withdrawn. If/when there is a better alternative *that works widely*, then it may be a good idea to update the registration with a pointer to that alternative.

> The preference in our strategy for securing the URN namespace registration comes from some of our user communities who are extremely comfortable with URN - because of experience with NBN and EIDR U…

I think such experience is valuable, but you should also consider wider experience and what's out there in the wild in terms of identifiers already.

> I hope that addresses your concerns - and trust you can have another look at this. If there is any other information or background I can provide, please let me know.

I definitely think that it is a bad idea to reject an URN namespace request just because there is a provisional registration for an URI. 
It's not clear which one of these approaches will work better technically. And 'technically' here actually means in terms of deployment, because the are no fundamental technical issues. It would be a bad idea for the IETF and the registries to try and make a decision to favor one or the other, in particular if such a decision is based on a provisional registration done by a third party out of good faith just to avoid potential collisions.

Regards,   Martin.

--
Prof. Dr.sc. Martin J. Dürst
Department of Intelligent Information Technology College of Science and Engineering Aoyama Gakuin University Fuchinobe 5-1-10, Chuo-ku, Sagamihara
252-5258 Japan

---

From: Julian Reschke <[email-masked]>
Date: Wed, 20 Jan 2021 11:29:19 +0100

Am 14.10.2020 um 15:15 schrieb Julian Reschke:
> ...
> Observation: the "reference" column for "doi" currently says:
>
>         [Frédéric_Wang][International_DOI_Foundation]
>
> ...so for some reason the entry *does* include the DOI foundation.
>
> It would be good if people looking at the registry would actually get
> some information about what the state of the entry actually is. I
> recommend that the DOI foundation publishes a statement about what it is
> and asks IANA to link to that in the "reference" column instead.
> ...

I was just going to recommend something along the lines of the above,
but then I recalled that I already did so three months ago :-).

Once again, if the DOI Foundation is unhappy with the provisional
registration, the best thing to do is to update it so that it's less
confusing.

Best regards, Julian

---

From: [email-masked] (Dale R. Worley)
Date: Wed, 20 Jan 2021 23:08:14 -0500

This does, of course, address my concerns, and I withdraw them.  But the
context on my part is probably worth explaining.

Paul Jessop <[email-masked]> writes:
> It is frustrating that someone else's provisional URI registration
> continues to create confusion.

Properly, you should use "scheme" here rather than "URI".  "URI" is a
very general universe of identifiers, and "URNs" are a subset of them.
So any "namespace" of URNs is perforce a set of URIs as well.

> To be clear, the intent of The DOI Foundation is to address the
> technical issues that have been raised here (which are confident we
> can do) and continue the URN namespace request.

OK, that was the point that was not clear to me, that the namespace
registration is sponsored by the DOI Foundation.

There was another source of confusion that DOIs as I've seen them
(generally in academic papers and references thereto) are usually
written in a form that *look* like URIs and I reflexively assumed that
DOIs were defined to be compatible with URI syntax, thus allowing "doi"
to be a URI scheme directly -- and that this was intended by the
Foundation.  But IIRC from this discussion, the character set in DOIs is
not limited to the URI character set, so even though all of the ones
I've seen look like URIs, they aren't.

Dale

---

From: Paul Jessop <[email-masked]>
Date: Thu, 21 Jan 2021 11:06:11 +0000

Thanks Dale,

The sound you can hear is me kicking myself for not being more precise. The third party application was of course for the registration of a *URI scheme*. These correct use of terms is as you say important.

Thanks for your support.

Best regards,

Paul Jessop

 

On 21/01/2021, 04:08, "Dale R. Worley" <[email-masked]> wrote:

    Dale